




/*
     FILE ARCHIVED ON 23:39:48 Okt 18, 2004 AND RETRIEVED FROM THE
     INTERNET ARCHIVE ON 17:48:16 Mai 8, 2013.
     JAVASCRIPT APPENDED BY WAYBACK MACHINE, COPYRIGHT INTERNET ARCHIVE.

     ALL OTHER CONTENT MAY ALSO BE PROTECTED BY COPYRIGHT (17 U.S.C.
     SECTION 108(a)(3)).
*/
// F-ZERO JAVASCRIPT FUNCTIONS

var isSpecialCase = false;

// Arrays to manage several fields for each time - these fields are packed into strings in the DB instead of 
// having their own fields, hence this routine.  A maximum of two full player details is possible at this time.

var p1_rank = new Array(32); //strvalue1
var p1_shipname = new Array(32);  //strvalue2 / 3 (max 19 each)
var p1_laptime = new Array(32); //strvalue4
var p1_speed = new Array(32); //strvalue5
var p1_videoid = new Array(32); //strvalue6
var p1_comments = new Array(32); //strvalue7 / 8 (max 28 each)
var p1_acc = new Array(32); //strvalue9
var p1_pname = new Array(32); // special case names for editing

var p2_rank = new Array(32);
var p2_shipname = new Array(32);
var p2_laptime = new Array(32);
var p2_speed = new Array(32);
var p2_videoid = new Array(32);
var p2_comments = new Array(32);
var p2_acc = new Array(32); 
var p2_pname = new Array(32); // special case names for editing

for (x=0;x<33;x++) {  // Set default values to avoid "undefined" problems
	p1_rank[x] = 0;
	p1_shipname[x] = '';
	if ( (listid == 493) || (listid == 492) ) { // Only collects hundreds of a second
		p1_laptime[x] = 18000;
	} else {
		p1_laptime[x] = 180000;
	}
	p1_speed[x] = 0;
	p1_videoid[x] = 0;
	p1_comments[x] = '';
	p1_acc[x] = 0;
	p1_pname[x] = '';

	p2_rank[x] = 0;
	p2_shipname[x] = '';
	if ( (listid == 493) || (listid == 492) ) { // Only collects hundreds of a second
		p2_laptime[x] = 18000;
	} else {
		p2_laptime[x] = 180000;
	}
	p2_speed[x] = 0;
	p2_videoid[x] = 0;
	p2_comments[x] = '';
	p2_acc[x] = 0;
	p2_pname[x] = '';
}

function ta_gettimediff(ta_curtimestr,ta_othertimestr,ta_timestyle) {
	ta_curtime = parseInt(ta_curtimestr,10);
	ta_othertime = parseInt(ta_othertimestr,10);
	if (ta_curtime == 0)  { 
		if (ta_timestyle == 10) {
			return('<font color=red>+0' + "'" + '00"000</font>'); 
		} else {
			return('<font color=red>+0' + "'" + '00"00</font>'); 
		}
	} else {
		if (ta_curtime > ta_othertime) {
			// Current time is higher than othertime
			return('<font color=red>+' + ta_gettimestr((ta_curtime - ta_othertime),ta_timestyle) + '</font>');
		
		} else {
			// Current time is lower than othertime
			return('<font color=blue>-' + ta_gettimestr((ta_othertime - ta_curtime),ta_timestyle) + '</font>');
		}
	}
}

function fz_loadplayerinfo(playernum,rankstr,shipstr1,shipstr2,lapstr,speedstr,videostr,commentstr1,commentstr2,accstr,commentstr3,playernames) {

	// GET RANKINGS
	pos = 0; posdata = 0; course = ''; data = '';
	while (pos < rankstr.length) {
		if (rankstr.substring(pos,pos+1) == '_') { // have a new one 
			if (course != '') {	// store prior one
				if (course == 'ON') { course = '32'; }
				data = rankstr.substring(posdata,pos);
				eval('p' + playernum + '_rank[' + course + ']=' + data + ';');
			}
			course = rankstr.substring(pos+1,pos+3);
			posdata = pos+3;
		}
		pos++;
	}
	if (course != '') { 
		data = rankstr.substring(posdata,pos);
		eval('p' + playernum + '_rank[' + course + ']=' + data + ';');
	}

	// GET SPEED
	pos = 0; posdata = 0; course = ''; data = '';
	while (pos < speedstr.length) {
		if (speedstr.substring(pos,pos+1) == '_') { // have a new one 
			if (course != '') {	// store prior one
				if (course == 'ON') { course = '32'; }
				data = speedstr.substring(posdata,pos);
				eval('p' + playernum + '_speed[' + course + ']=' + data + ';');
			}
			course = speedstr.substring(pos+1,pos+3);
			posdata = pos+3;
		}
		pos++;
	}
	if (course != '') { 
		data = speedstr.substring(posdata,pos);
		eval('p' + playernum + '_speed[' + course + ']=' + data + ';');
	}

	// GET LAP TIME
	pos = 0; posdata = 0; course = ''; data = '';
	while (pos < lapstr.length) {
		if (lapstr.substring(pos,pos+1) == '_') { // have a new one 
			if (course != '') {	// store prior one
				if (course == 'ON') { course = '32'; }
				data = lapstr.substring(posdata,pos);
				eval('p' + playernum + '_laptime[' + course + ']=' + data + ';');
			}
			course = lapstr.substring(pos+1,pos+3);
			posdata = pos+3;
		}
		pos++;
	}
	if (course != '') { 
		data = lapstr.substring(posdata,pos);
		eval('p' + playernum + '_laptime[' + course + ']=' + data + ';');
	}	

	// GET ACCELLERATION
	pos = 0; posdata = 0; course = ''; data = '';
	while (pos < accstr.length) {
		if (accstr.substring(pos,pos+1) == '_') { // have a new one 
			if (course != '') {	// store prior one
				if (course == 'ON') { course = '32'; }
				data = accstr.substring(posdata,pos);
				eval('p' + playernum + '_acc[' + course + ']=' + data + ';');
			}
			course = accstr.substring(pos+1,pos+3);
			posdata = pos+3;
		}
		pos++;
	}
	if (course != '') { 
		data = accstr.substring(posdata,pos);
		eval('p' + playernum + '_acc[' + course + ']=' + data + ';');
	}	

	// GET VIDEO ID
	pos = 0; posdata = 0; course = ''; data = '';
	while (pos < videostr.length) {
		if (videostr.substring(pos,pos+1) == '_') { // have a new one 
			if (course != '') {	// store prior one
				if (course == 'ON') { course = '32'; }
				data = videostr.substring(posdata,pos);
				eval('p' + playernum + '_videoid[' + course + ']=' + data + ';');
			}
			course = videostr.substring(pos+1,pos+3);
			posdata = pos+3;
		}
		pos++;
	}
	if (course != '') { 
		data = videostr.substring(posdata,pos);
		eval('p' + playernum + '_videoid[' + course + ']=' + data + ';');
	}		
		
	// GET SHIP NAMES (1 of 2)
	pos = 0; posdata = 0; course = ''; data = '';
	while (pos < shipstr1.length) {
		if (shipstr1.substring(pos,pos+1) == '_') {	// have a new one 
			if (course != '') {	// store prior one
				data = shipstr1.substring(posdata,pos);
				eval('p' + playernum + '_shipname[' + course + ']=\'' + data + '\';');
			}
			course = shipstr1.substring(pos+1,pos+3);
			posdata = pos+3;
		}
		pos++;
	}
	if (course != '') { 
		data = shipstr1.substring(posdata,pos);
		eval('p' + playernum + '_shipname[' + course + ']=\'' + data + '\';');
	}
	// GET SHIP NAMES (2 of 2)
	pos = 0; posdata = 0; course = ''; data = '';
	while (pos < shipstr2.length) {
		if (shipstr2.substring(pos,pos+1) == '_') {	// have a new one 
			if (course != '') {	// store prior one
				data = shipstr2.substring(posdata,pos);
				eval('p' + playernum + '_shipname[' + course + ']=\'' + data + '\';');
			}
			course = shipstr2.substring(pos+1,pos+3);
			posdata = pos+3;
		}
		pos++;
	}
	if (course != '') { 
		data = shipstr2.substring(posdata,pos);
		eval('p' + playernum + '_shipname[' + course + ']=\'' + data + '\';');
	}
			
	// GET COMMENTS (1 of 3)
	pos = 0; posdata = 0; course = ''; data = '';
	while (pos < commentstr1.length) {
		if (commentstr1.substring(pos,pos+1) == '_') {	// have a new one 
			if (course != '') {	// store prior one
				data = commentstr1.substring(posdata,pos);
				eval('p' + playernum + '_comments[' + course + ']=\'' + data + '\';');
			}
			course = commentstr1.substring(pos+1,pos+3);
			posdata = pos+3;
		}
		pos++;
	}
	if (course != '') { 
		data = commentstr1.substring(posdata,pos);
		eval('p' + playernum + '_comments[' + course + ']=\'' + data + '\';');
	}
	// GET COMMENTS (2 of 3)
	pos = 0; posdata = 0; course = ''; data = '';
	while (pos < commentstr2.length) {
		if (commentstr2.substring(pos,pos+1) == '_') {	// have a new one 
			if (course != '') {	// store prior one
				data = commentstr2.substring(posdata,pos);
				eval('p' + playernum + '_comments[' + course + ']=\'' + data + '\';');
			}
			course = commentstr2.substring(pos+1,pos+3);
			posdata = pos+3;
		}
		pos++;
	}
	if (course != '') { 
		data = commentstr2.substring(posdata,pos);
		eval('p' + playernum + '_comments[' + course + ']=\'' + data + '\';');
	}
	// GET COMMENTS (3 of 3)
	pos = 0; posdata = 0; course = ''; data = '';
	while (pos < commentstr3.length) {
		if (commentstr3.substring(pos,pos+1) == '_') {	// have a new one 
			if (course != '') {	// store prior one
				data = commentstr3.substring(posdata,pos);
				eval('p' + playernum + '_comments[' + course + ']=\'' + data + '\';');
			}
			course = commentstr3.substring(pos+1,pos+3);
			posdata = pos+3;
		}
		pos++;
	}
	if (course != '') { 
		data = commentstr3.substring(posdata,pos);
		eval('p' + playernum + '_comments[' + course + ']=\'' + data + '\';');
	}

	// GET SPECIAL CASE NAMES 
	pos = 0; posdata = 0; course = ''; data = '';
	while (pos < playernames.length) {
		if (playernames.substring(pos,pos+1) == '_') {	// have a new one 
			if (course != '') {	// store prior one
				data = playernames.substring(posdata,pos);
				eval('p' + playernum + '_pname[' + course + ']=\'' + data + '\';');
			}
			course = playernames.substring(pos+1,pos+3);
			posdata = pos+3;
		}
		pos++;
	}
	if (course != '') { 
		data = playernames.substring(posdata,pos);
		eval('p' + playernum + '_pname[' + course + ']=\'' + data + '\';');
	}
}

function fz_gettimestr(ta_fieldname,ta_timestyle) {
	tmp = ta_gettimestr(ta_fieldname,ta_timestyle);
	if (tmp == '5\'00"000') { tmp = ''; }
	if (tmp == '5\'00"00') { tmp = ''; }
	if (tmp == '6\'40"00') { tmp = ''; }
	if (tmp == '25\'00"00') { tmp = ''; }
	if (tmp == '25\'00"000') { tmp = ''; }
	return(tmp);
}

function fz_getfzerotime(fz_fieldname,fz_curtime,ta_timestyle) {
	tmp = ta_gettimestr(fz_curtime,ta_timestyle);
	if (tmp == '5\'00"000') { tmp = ''; }
	if (tmp == '5\'00"00') { tmp = ''; }
	if (tmp == '6\'40"00') { tmp = ''; }
	if (tmp == '25\'00"00') { tmp = ''; }
	if (tmp == '25\'00"000') { tmp = ''; }
	tmp = tmp.replace('"','%22');
	tmp = fz_fieldname + ': ' + tmp + '%0D%0A';
	return(tmp);
}

function cleanstr(srcstr) {
	// Convert apostrophes and quotes
	var newstr = srcstr;
	for (tmploop=1;tmploop<200;tmploop++) {
		newstr = newstr.replace(/\'/g, "`");   
		newstr = newstr.replace('"', "~");   
		//newstr = newstr.replace('_', "-");   
	}
	return(newstr);
}

function uncleanstr(srcstr) {
	// Convert apostrophes and quotes back to originals
	var newstr = srcstr;
	for (tmploop=1;tmploop<200;tmploop++) {
		newstr = newstr.replace("`", "'");   
		newstr = newstr.replace('~', '"');   
	}
	return(newstr);
}

function fz_gettime(fieldname,ta_timestyle) {
	eval('tmp2 = parseInt(document.listdata.' + fieldname + '.value);');
	if (tmp2 == 0) { 
		if (ta_timestyle == 1) {
			tmp2 = 30000; 
			eval('document.listdata.' + fieldname + '.value = 30000;');
		} else { // style 10 assumed
			tmp2 = 300000; 
			eval('document.listdata.' + fieldname + '.value = 300000;');
		}
	}
	return(tmp2);
}

function fz_playerinfo(playernumber,playername,ta_timestyle) {
	returnstr = '<font class="fzdetails">';
	
	// Get Video
	eval('tmpval = p' + playernumber + '_videoid[' + coursenumber + '];');
	if (tmpval != 0) { returnstr = returnstr + '<a href="Library.asp?Action=DOWNLOADFILE&FileId=' + tmpval + '"><img src="/web/20041018233948/http://files.mrfixitonline.com/moodstamps/80.gif" border=0 height=15 width=15></a> '; }

	// Special case - show names 
	eval('tmpval = p' + playernumber + '_pname[' + coursenumber + '];');
	if (tmpval != '') {
		returnstr = returnstr + tmpval + "<BR>";
	}
	
	// Get rank
	eval('tmpval = p' + playernumber + '_rank[' + coursenumber + '];');
	if (tmpval != 0) { returnstr = returnstr + '[' + tmpval + '] '; }

	// Get ship
	eval('tmpval = p' + playernumber + '_shipname[' + coursenumber + '];');
	if (tmpval != '') { returnstr = returnstr + ' <a href="List.asp?ListId=495&filter_name=' + tmpval + '" class="fzdetails">' + tmpval + '</A> '; }
	
	// Get Accelleration
	eval('tmpval = p' + playernumber + '_acc[' + coursenumber + '];');
	if (tmpval != 0) { if (tmpval == 1) { tmpval = 0; } returnstr = returnstr + '(' + tmpval + '%) '; }

	// Get Comments
	eval('tmpval = p' + playernumber + '_comments[' + coursenumber + '];');
	if (tmpval != 0) { returnstr = returnstr + '<BR>' + tmpval + ''; }

	// Get lap
	eval('tmpval = p' + playernumber + '_laptime[' + coursenumber + '];');
	if ((tmpval != 180000) && (tmpval != 18000)) { returnstr = returnstr + '<BR>Lap=' + fz_gettimestr(tmpval,ta_timestyle); }

	// Get speed
	eval('tmpval = p' + playernumber + '_speed[' + coursenumber + '];');
	if (tmpval != 0) { returnstr = returnstr + ' / Speed=' + tmpval; }

	return(returnstr + '</font>');
}

function fz_timerow(listid,listdataid,playername,time1,time2,time3,time4,time5,time6,time7,lastmodifieddate,lastmodifiedtime,ta_timestyle) {
	fz_playerlist = fz_playerlist + '<option value=' + listdataid + '>' + playername + '</option>';
	
	if ( (playername == 'MFO Best Times') && (p3 != '')) { return; }
	
	if ((playername == 'Staff Ghost') || (playername == 'MFO Best Times') || (playername == 'World Records') ) {
		picon = '318'; pname = 'Staff Ghost';
		if (playername == 'MFO Best Times') { picon = '81'; pname = 'MFO Best Times'; }
		if (playername == 'World Records') { picon = '448'; pname = 'World Records'; }
		document.write('<tr><td class="row1"><img src="/web/20041018233948/http://files.mrfixitonline.com/moodstamps/' + picon + '.gif" height=15 width=15>');
		document.write('</td><td class="row1">');
		document.write('<a href="List.asp?ListId=' + listid + '&Action=SHOWITEM&CompareTo=' + listdataid + '"><img src="/web/20041018233948/http://files.mrfixitonline.com/moodstamps/180.gif" height=15 width=15 border=0 alt="Compare {username} vs ' + playername + '"></a> ');	
		document.write('<a href="List.asp?ListId=' + listid + '&Action=SHOWITEM&ListDataId=' + listdataid + '" class="nav1on">');
		document.write('<font color=green><i>' + pname + '</i></font></a></td>');
	} else {
		fz_counter++;
		document.write('<tr><td class="row1">' + fz_counter);
		document.write('</td><td class="row1">');
		document.write('<a href="List.asp?ListId=' + listid + '&Action=SHOWITEM&CompareTo=' + listdataid + '"><img src="/web/20041018233948/http://files.mrfixitonline.com/moodstamps/180.gif" height=15 width=15 border=0 alt="Compare {username} vs ' + playername + '"></a> ');
		dayssincemod = daysBetweenDates(Date(),lastmodifieddate);
		document.write('<a href="List.asp?ListId=' + listid + '&Action=SHOWITEM&ListDataId=' + listdataid + '" class="nav1on">');
		if (dayssincemod < 2) {
			document.write('<font color=red>' + playername + '</font>');
		} else {
			if (dayssincemod < 7) {
				document.write(playername);
			} else {
				document.write('<font color=gray>' + playername + '</font>');
			}
		}
		document.write('</a></td>');
	}
	if (p2 == 'lastmod') {
		document.write('<td class="row1">' + lastmodifieddate + ' ' + lastmodifiedtime + '</td>');
	}

	document.write('<td class="row2"><b>' + fz_gettimestr(time1,ta_timestyle) + '</b>');
	if ((p2 == '') && (playername != 'Staff Ghost')) {
		if (fz_prevtime != 0) { document.write(' ' + ta_gettimediff(time1,fz_prevtime,ta_timestyle) + ' '); }
		fz_prevtime = time1; 
	}
	document.write('</td>');

	document.write('<td class="row1">' + fz_gettimestr(time2,ta_timestyle));
	if ((p2 == '2') && (playername != 'Staff Ghost'))  {
		if (fz_prevtime != 0) { document.write(' ' + ta_gettimediff(time2,fz_prevtime,ta_timestyle) + ' '); }
		fz_prevtime = time2; 
	}

	document.write('</td><td class="row2">' + fz_gettimestr(time3,ta_timestyle));
	if ((p2 == '3') && (playername != 'Staff Ghost')) {
		if (fz_prevtime != 0) { document.write(' ' + ta_gettimediff(time3,fz_prevtime,ta_timestyle) + ' '); }
		fz_prevtime = time3; 
	}

	document.write('<td class="row1">' + fz_gettimestr(time4,ta_timestyle));
	if ((p2 == '4') && (playername != 'Staff Ghost')) {
		if (fz_prevtime != 0) { document.write(' ' + ta_gettimediff(time4,fz_prevtime,ta_timestyle) + ' '); }
		fz_prevtime = time4; 
	}

	document.write('<td class="row2">' + fz_gettimestr(time5,ta_timestyle));
	if ((p2 == '5') && (playername != 'Staff Ghost')) {
		if (fz_prevtime != 0) { document.write(' ' + ta_gettimediff(time5,fz_prevtime,ta_timestyle) + ' '); }
		fz_prevtime = time5; 
	}

	document.write('<td class="row1">' + fz_gettimestr(time6,ta_timestyle));
	if ((p2 == '6') && (playername != 'Staff Ghost')) {
		if (fz_prevtime != 0) { document.write(' ' + ta_gettimediff(time6,fz_prevtime,ta_timestyle) + ' '); }
		fz_prevtime = time6; 
	}

	document.write('</td>');
	if (p1 == 'axcup') { 
		document.write('<td class="row2">' + fz_gettimestr(time7,ta_timestyle)); 
		if ((p2 == '7') && (playername != 'Staff Ghost')) {
			if (fz_prevtime != 0) { document.write(' ' + ta_gettimediff(time7,fz_prevtime,ta_timestyle) + ' '); }
			fz_prevtime = time7; 
		}
		document.write('</td>');
	}
	document.write('</tr>');
	
}

function fz_printgxlibrary() {
		document.write('<table cellspacing=0 cellpadding=5 width="100%"><tr>');
		document.write('<td class=row1><b>F-Zero GX Video Library</b><BR><em>Welcome to MFO\'s F-Zero GX video library.  Choose a top player (to the right) or enter search criteria to find the videos you want to see! <a href="videohelp.asp">(Video Playback 101 Help)</a> (Staff links: <a href="Library.asp?Action=UPLOADFILE&VolumeId=5591" class="nav1on">[Upload]</A> | <a href="Library.asp?Action=LISTLIBRARY&VolumeId=5591" class="nav1on">[List All]</A>)</em></td>');
		document.write('<td align=right class=row1> ');
		document.write('<a href="Library.asp?Action=LISTLIBRARY&VolumeId=5591&filter_filetype=movie&filter_filename=Muumu" class="nav1on">[Muumu]</a> ');
		document.write('<a href="Library.asp?Action=LISTLIBRARY&VolumeId=5591&filter_filetype=movie&filter_filename=jkl" class="nav1on">[JKLoser]</a> ');
		document.write('<a href="Library.asp?Action=LISTLIBRARY&VolumeId=5591&filter_filetype=movie&filter_filename=sonicfan" class="nav1on">[sonicfan2003]</a> ');
		document.write('<a href="Library.asp?Action=LISTLIBRARY&VolumeId=5591&filter_filetype=movie&filter_filename=Olschi" class="nav1on">[Olschi]</a> <BR> ');
		document.write('<a href="Library.asp?Action=LISTLIBRARY&VolumeId=5591&filter_filetype=movie&filter_filename=Mengsk" class="nav1on">[Mengsk]</a> ');
		document.write('<a href="Library.asp?Action=LISTLIBRARY&VolumeId=5591&filter_filetype=movie&filter_filename=xtc" class="nav1on">[XTC]</a> ');
		document.write('<a href="Library.asp?Action=LISTLIBRARY&VolumeId=5591&filter_filetype=movie&filter_filename=midiman" class="nav1on">[midiman]</a> ');
		document.write('<a href="Library.asp?Action=LISTLIBRARY&VolumeId=5591&filter_filetype=movie&filter_filename=Mahrla" class="nav1on">[Mahrla]</a> ');
		document.write('</td></tr></table>');
}

function fz_printgxcustoms() {
	document.write('<table cellspacing=0 cellpadding=5 width="100%"><tr><td colspan=9 class=row1>');
	document.write('<font class="nav1on">   F-Zero GX Custom Ships Database |');
	document.write('<a href="List.asp?ListId=495&filter_intvalue5=0" class="nav1on">[Standard Ships]</a> ');
	document.write('<a href="List.asp?ListId=495&filter_intvalue10=3" class="nav1on">[Spotlight Ships]</a> ');
	document.write('<a href="List.asp?ListId=495&filter_strvalue1=world%20record" class="nav1on">[World Records]</a> ');
	document.write('</font><BR></td></tr><tr>');
	document.write('<td class="row1"><em>Search<BR>criteria:</em></td><form action="List.asp" method=GET name="search"><input type=hidden name="ListId" value="495"><input type=hidden name="filter_intvalue1" value="">');
	document.write('<td valign=top class=row1><em>Name and Weight:<BR><input name="filter_name" width=12><br>Min:<input type=text size=3 name="minweight" onChange="setWeight();"> Max:<input type="text" name="maxweight" size="3" onChange="setWeight();"></td>')
	document.write('<td valign=top class=row1><em>Body:<BR><select name="filter_strvalue2"><option value=""></option><option value="Grand Base">(A) Grand Base</option><option value="Dread Hammer">(A) Dread Hammer</option><option value="Big Tyrant">(A) Big Tyrant</option><option value="Megalo Cruiser">(A) Megalo Cruiser</option><option value="Wild Chariot">(B) Wild Chariot</option><option value="Fire Wolf">(B) Fire Wolf</option><option value="Mad Bull">(B) Mad Bull</option><option value="Metal Shell">(B) Metal Shell</option><option value="Valiant Jaguar">(B) Valiant Jaguar</option><option value="Giant Planet">(B) Giant Planet</option><option value="Holy Spider">(C) Holy Spider</option><option value="Rapid Barrel">(C) Rapid Barrel</option><option value="Blood Raven">(C) Blood Raven</option><option value="Silver Sword">(C) Silver Sword</option><option value="Sky Horse">(C) Sky Horse</option><option value="Space Cancer">(C) Space Cancer</option><option value="Aqua Goose">(C) Aqua Goose</option><option value="Liberty Manta">(D) Liberty Manta</option><option value="Optical Wing">(D) Optical Wing</option><option value="Rage Knight">(D) Rage Knight</option><option value="Brave Eagle">(D) Brave Eagle</option><option value="Funny Swallow">(D) Funny Swallow</option><option value="Speedy Dragon">(E) Speedy Dragon</option><option value="Splash Whale">(E) Splash Whale</option><option value="Galaxy Falcon">(E) Galaxy Falcon</option></select>');
	document.write('<BR><select name="filter_strvalue5"><option value=""></option><option value="A">A Rated</option><option value="B">B Rated</option><option value="C">C Rated</option><option value="D">D Rated</option><option value="E">E Rated</option><option value="A{or}B">A or B</option><option value="A{or}B{or}C">C or better</option><option value="C{or}D{or}E">C or worse</option><option value="D{or}E">D or worse</option></em</td>');
	document.write('<td valign=top class=row1><em>Cockpit:<BR><select name="filter_strvalue3"><option value=""></option><option value="Combat Cannon">(A) Combat Cannon</option><option value="Crazy Buffalo">(A) Crazy Buffalo</option><option value="Garnet Phantom">(A) Garnet Phantom</option><option value="Maximum Star">(A) Maximum Star</option><option value="Energy Crest">(B) Energy Crest</option><option value="Heat Snake">(B) Heat Snake</option><option value="Hyper Stream">(B) Hyper Stream</option><option value="Spark Bird">(B) Spark Bird</option><option value="Super Lynx">(B) Super Lynx</option><option value="Bright Spear">(C) Bright Spear</option><option value="Cyber Fox">(C) Cyber Fox</option><option value="Muscle Gorilla">(C) Muscle Gorilla</option><option value="Red Rex">(C) Red Rex</option><option value="Round Disk">(C) Round Disk</option><option value="Scud Viper">(C) Scud Viper</option><option value="Sonic Soldier">(C) Sonic Soldier</option><option value="Blast Camel">(D) Blast Camel</option><option value="Crystal Egg">(D) Crystal Egg</option><option value="Moon Snail">(D) Moon Snail</option><option value="Rush Cyclone">(D) Rush Cyclone</option><option value="Wonder Worm">(D) Wonder Worm</option><option value="Aerial Bullet">(E) Aerial Bullet</option><option value="Dark Chaser">(E) Dark Chaser</option><option value="Rave Drifter">(E) Rave Drifter</option><option value="Windy Shark">(E) Windy Shark</option></select>');
	document.write('<BR><select name="filter_strvalue6"><option value=""></option><option value="A">A Rated</option><option value="B">B Rated</option><option value="C">C Rated</option><option value="D">D Rated</option><option value="E">E Rated</option><option value="A{or}B">A or B</option><option value="A{or}B{or}C">C or better</option><option value="C{or}D{or}E">C or worse</option><option value="D{or}E">D or worse</option></em</td>');
	document.write('<td valign=top class=row1><em>Booster:<BR><select name="filter_strvalue4"><option value=""></option><option value="Devilfish">(A) Devilfish-RX</option><option value="-FX">(A) Hornet-FX</option><option value="Thunderbolt">(A) Thunderbolt-V2</option><option value="Triple">(A) Triple-Z</option><option value="-ZZ">(B) Extreme-ZZ</option><option value="-RR">(B) Meteor-RR</option><option value="Punisher">(B) Punisher-4X</option><option value="-88">(B) Radion-88</option><option value="-M2">(B) Shuttle-M2</option><option value="-G4">(B) Titan-G4</option></select>');
	document.write('<BR><select name="filter_strvalue7"><option value=""></option><option value="A">A Rated</option><option value="B">B Rated</option><option value="C">C Rated</option><option value="D">D Rated</option><option value="E">E Rated</option><option value="A{or}B">A or B</option><option value="A{or}B{or}C">C or better</option><option value="C{or}D{or}E">C or worse</option><option value="D{or}E">D or worse</option></em</td>');
	document.write('<td valign=top class=row1><i>Speed:</i><br><input type=hidden name="filter_intvalue2"><IMG height=24 alt="Top Speed at Max Acceleration" src="/web/20041018233948/http://files.mrfixitonline.com/s/60/r_graph_01.gif" width=46 align=right border=0><BR><input type=text size=3 name="speed1" onChange="setSpeed1();"></td>');
	document.write('<td valign=top class=row1><BR><input type=hidden name="filter_intvalue3"><IMG height=24 alt="Top Speed at 50/50" src="/web/20041018233948/http://files.mrfixitonline.com/s/60/r_graph_05.gif" width=46 align=right border=0><br><input type=text size=3 name="speed2" onChange="setSpeed2();"></td>');
	document.write('<td valign=top class=row1><BR><input type=hidden name="filter_intvalue4"><IMG height=24 alt="Top Speed at Max Speed" src="/web/20041018233948/http://files.mrfixitonline.com/s/60/r_graph_09.gif" width=46 align=right border=0><BR><input type=text size=3 name="speed3" onChange="setSpeed3();"></td>');
	document.write('<td class=row1><input type=submit value="Find"></td></form>');
	document.write('</tr></table>');
}

// Functions for F-Zero GX Custom Ships Database
function setWeight() { 
	if (document.all.search.minweight.value.length == 0) { document.all.search.minweight.value = '0'; }
	if (document.all.search.maxweight.value.length == 0) { document.all.search.maxweight.value = '5000'; }
	document.all.search.filter_intvalue1.value = '{>=}' + document.all.search.minweight.value + '{and}{<=}' + document.all.search.maxweight.value; 
}
function setSpeed1() {
	if (document.all.search.speed1.value.length == 0) { document.all.search.speed1.value = '0'; }
	document.all.search.filter_intvalue2.value = '{>=}' + document.all.search.speed1.value;
}
function setSpeed2() {
	if (document.all.search.speed2.value.length == 0) { document.all.search.speed2.value = '0'; }
	document.all.search.filter_intvalue3.value = '{>=}' + document.all.search.speed2.value;
}
function setSpeed3() {
	if (document.all.search.speed3.value.length == 0) { document.all.search.speed3.value = '0'; }
	document.all.search.filter_intvalue4.value = '{>=}' + document.all.search.speed3.value;
}
				